org.apache.ignite.ml.selection.scoring.metric.classification

## Class Npv<L extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.selection.scoring.metric.classification.BinaryClassificationMetric<L>
  - - org.apache.ignite.ml.selection.scoring.metric.classification.Npv<L>

- All Implemented Interfaces:
    Serializable, Metric<L,BinaryClassificationEvaluationContext<L>,BinaryClassificationPointwiseMetricStatsAggregator<L>>

      public class Npv<L extends Serializable>
      extends BinaryClassificationMetric<L>

  NPV metric class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Npv()` Creates an instance of Npv class.
    `Npv(L truthLabel, L falseLabel)` Creates an instance of TruePositiveAbsoluteValue class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Npv<L>` | `initBy(BinaryClassificationPointwiseMetricStatsAggregator<L> aggr)` Initializes metric value by statistics aggregator.
    `MetricName` | `name()` Returns metric name.
    `double` | `value()` Returns metric value.

    - ### Methods inherited from class org.apache.ignite.ml.selection.scoring.metric.classification.BinaryClassificationMetric

      `makeAggregator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Npv

          public Npv()

      Creates an instance of Npv class.

    - #### Npv

          public Npv(L truthLabel,
                     L falseLabel)

      Creates an instance of TruePositiveAbsoluteValue class.
      Parameters:
        `truthLabel` - Truth label.
        `falseLabel` - False label.

  - ### Method Detail

    - #### initBy

          public Npv<L> initBy(BinaryClassificationPointwiseMetricStatsAggregator<L> aggr)

      Initializes metric value by statistics aggregator.
      Parameters:
        `aggr` - Aggregator.

    - #### value

          public double value()

      Returns metric value.
      Returns:
        Metric value.

    - #### name

          public MetricName name()

      Returns metric name.
      Returns:
        Metric name.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020